Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class DiplomaticPostType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.DiplomaticPostType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class DiplomaticPostType

extends Object
implements Serializable

Java class for DiplomaticPostType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DiplomaticPostType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CountryCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CountryCodeType" minOccurs="0"/>
             <element name="CountryIsoCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CountryCodeISO3166Type" minOccurs="0"/>
             <element name="CountryName" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="DiplomaticPostCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DiplomaticPostCodeType" minOccurs="0"/>
             <element name="DiplomaticPostName" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DiplomaticPostType()`

Method Summary
`Integer` | `getCountryCode()` Gets the value of the countryCode property.
`String` | `getCountryIsoCode()` Gets the value of the countryIsoCode property.
`List<LocalizedDescriptionType>` | `getCountryNames()` Gets the value of the countryNames property.
`Integer` | `getDiplomaticPostCode()` Gets the value of the diplomaticPostCode property.
`List<LocalizedDescriptionType>` | `getDiplomaticPostNames()` Gets the value of the diplomaticPostNames property.
`void` | `setCountryCode(Integer value)` Sets the value of the countryCode property.
`void` | `setCountryIsoCode(String value)` Sets the value of the countryIsoCode property.
`void` | `setDiplomaticPostCode(Integer value)` Sets the value of the diplomaticPostCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiplomaticPostType

    public DiplomaticPostType()

Method Detail

### getCountryCode

    public Integer getCountryCode()

  Gets the value of the countryCode property.

  Returns:
    possible object is `Integer`

### setCountryCode

    public void setCountryCode(Integer value)

  Sets the value of the countryCode property.

  Parameters:
    `value` - allowed object is `Integer`

### getCountryIsoCode

    public String getCountryIsoCode()

  Gets the value of the countryIsoCode property.

  Returns:
    possible object is `String`

### setCountryIsoCode

    public void setCountryIsoCode(String value)

  Sets the value of the countryIsoCode property.

  Parameters:
    `value` - allowed object is `String`

### getCountryNames

    public List<LocalizedDescriptionType> getCountryNames()

  Gets the value of the countryNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the countryNames property.

  For example, to add a new item, do as follows:

          getCountryNames().add(newItem);

  Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

### getDiplomaticPostCode

    public Integer getDiplomaticPostCode()

  Gets the value of the diplomaticPostCode property.

  Returns:
    possible object is `Integer`

### setDiplomaticPostCode

    public void setDiplomaticPostCode(Integer value)

  Sets the value of the diplomaticPostCode property.

  Parameters:
    `value` - allowed object is `Integer`

### getDiplomaticPostNames

    public List<LocalizedDescriptionType> getDiplomaticPostNames()

  Gets the value of the diplomaticPostNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the diplomaticPostNames property.

  For example, to add a new item, do as follows:

          getDiplomaticPostNames().add(newItem);

  Objects of the following type(s) are allowed in the list `LocalizedDescriptionType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.